#ifndef _LIBSIO_H_
#define _LIBSIO_H_

#include "smartio.h"

extern char           SIOReadDeviceVersion();
extern unsigned short SIOReadDevicePartType();
extern unsigned short SIOReadFirmwareVersion();

extern void SIOBackLightOn();
extern void SIOBackLightOff();
extern void SIOSetBackLightPwm(char); // Brightness
extern void SIOSetVEEPwm(char);       // Contrast (passive matrix only)

extern void SIOSelectOption(char option);   // Option 3 not implemented !

// Option 1
extern char SIOSetKeypadSize(char cols, char rows);
extern void SetKeypadTimeout(long time);    // use -1 to wait for key press
extern int  SIOReadKeypad();

// Option 2
extern int  SIOAnalogConversion(char);

// Direction - 0: in, 1: out
extern void SIOInitDDRA(char);   // Options 1 & 3
extern void SIOInitDDRB(char);
extern void SIOInitDDRC(char);
extern void SIOInitDDRD(char);
extern void SIOWritePortA(char); // Options 1 & 3
extern void SIOWritePortB(char);
extern void SIOWritePortC(char);
extern void SIOWritePortD(char);
extern char SIOReadPortA();      // Options 1 & 3
extern char SIOReadPortB();
extern char SIOReadPortC();
extern char SIOReadPortD();

// UCB1200
extern void           SIOInitUCB(unsigned short);
extern void           SIOWriteUCB(unsigned short);
extern unsigned short SIOReadUCBDigital(void);
extern unsigned short SIOReadUCBAnalog(unsigned char);

#endif // _LIBSIO_H_
